ukui-quick (4.20.8.0-ok2.0) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(items):修复编译问题
    - perf(platform):Use QGuiApplication instead of QApplication
    - fear(platform):Dialog增加设置slide window特效功能
    - fix(items/DtThemeScrollBar): 修复滚动条颜色不对的问题，修复滚动条在鼠标移入移出时无法触发宽度改变的问题

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 24 Jul 2025 17:30:47 +0800

ukui-quick (4.20.8.0-ok1.0) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(framework):widget container右键菜单支持显示tooltip
    - feat(items/SearchLineEdit): 搜索输入框控件添加默认右键菜单

 -- iaom <zhangpengfei@kylinos.cn>  Wed, 16 Jul 2025 16:45:18 +0800

ukui-quick (4.20.8.0-ok0.9) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - feat(items/dt): 添加搜索框控件
    - fix(platform)：WindowProxy设置毛玻璃属性之后commit

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 14 Jul 2025 16:27:38 +0800

ukui-quick (4.20.8.0-ok0.8) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(platform/dt): 根据最新dt，删除无效项，新增缺失项，更新默认值
    - fix(platform):修复管控接口处理逻辑问题
    - fix(platform):修复arm架构tooltip尺寸变化时wayland协议错误导致的退出问题

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 03 Jul 2025 16:20:24 +0800

ukui-quick (4.20.8.0-ok0.7) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - feat(items):去掉Tooltip的描边
    - fix(platform):删除多余的配置改变信号发送

 -- iaom <zhangpengfei@kylinos.cn>  Tue, 24 Jun 2025 14:49:41 +0800

ukui-quick (4.20.8.0-ok0.6) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - feat(platform):增加用于连接dbus接口的工具类
    - feat(platform):增加用于获取管控配置的接口
    - feat(item):Tooltip在不同组件之间切换时，先隐藏再显示
    - feat(framework): 插件默认搜索路径增加"/opt/system/resource/ukui/ukui/widgets"

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 23 Jun 2025 10:08:38 +0800

ukui-quick (4.20.8.0-ok0.5) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(framework): 修复WidgetContainer移除widget的时候概率崩溃的问题
    - fix(platform):修复Dialog中的setState方法无法在qml中调用的问题

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 13 Jun 2025 14:34:58 +0800

ukui-quick (4.20.8.0-ok0.4) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(items/icon)：修复深色模式下非纯色图标不能反白问题

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 06 Jun 2025 17:03:39 +0800

ukui-quick (4.20.8.0-ok0.3) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - feat(platform):增加对ukui_blur_v1和wl_compositor协议的封装；完善wayland-integration功能
    - feat(platform): 优化WindowProxy中针对wayland中属性设置的处理
    - feat(platform):windowProxy增加设置window state的接口

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 05 Jun 2025 17:42:44 +0800

ukui-quick (4.20.8.0-ok0.2) nile; urgency=medium

  * nile-sp2传包

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 30 May 2025 15:55:50 +0800

ukui-quick (4.20.8.0-ok0.1) haunghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - feat(platform):增加对ukui_startup_management_v1协议的封装接口
    - perf(platform):Icon中监听深浅主题变化的信号来源改为DtTheme

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 29 May 2025 13:38:13 +0800

ukui-quick (4.20.7.0-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - feat(items/dt): 添加DT主题的悬浮按钮控件
    - fix(platform):调整ShadowData代码风格，解决在QML中使用Qt.rgba()直接创建子阴影时，创建子阴影无颜色的问
    - fix(items/qml): 在shadowData改变时清空之前阴影，解决多次切换主题会出现阴影逐渐加深的问
    - fix(platform):将字体由整数改成小数
    - fix(platform):修复切换和印主题图标未反白问题

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 23 May 2025 17:28:32 +0800

ukui-quick (4.20.6.0-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(framework):解决container析构时部分widget没被删除问题
    - feat(modules/window-thumbnail/qml): 缩略图添加圆角
    - fix(modules):多媒体控制按钮增加三态样式(bug#350328)
    - feat(platform):适配新版ukui-shell-v1协议，移除kysdk依赖
    - feat(platform&item):tooltip增加圆角，阴影，描边的decoration
    - feat(platform/dt): 添加选中状态和输入状态的十个新增token
    - feat(items/dt): 添加DT主题的触摸滑动条控件
    - feat(items/qml): 添加DtDropShadow控件，并支持多层阴影

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 16 May 2025 09:17:07 +0800

ukui-quick (4.20.5.0-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(items/defaultTooltip): tooltip添加同步控制面板设置窗口圆角大小功能
    - fix(platform):去除dialog中的outsideParentWindow场景，保证wlcom和x11下逻辑一致
    - fix(item):修复ShadowedRectangle无法绘制阴影问题
    - fix(item):修复阴影offset与设置的值不是1：1的问题
    - fix(items): DtThemeBackground添加设置阴影属性
    - feat(items/dt): 添加dt主题的滚动条控件
    - feat(platform/dt-theme):dt中添加同步控制面板修改窗口圆角功能

 -- iaom <zhangpengfei@kylinos.cn>  Wed, 30 Apr 2025 14:01:16 +0800

ukui-quick (4.20.4.0-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(items/tooltip): tooltip添加换行功能
    - fix(items/tooltip): 给tooltip的m_isRichText属性赋初始值
    - feat(platform/dt): 添加从dt主题qml文件中读取阴影参数功能
    - feat(platform/dt): dt-theme添加兼容现有切换强调色逻辑与rgba格式强调色
    - fix(platform):修复窗口时任务栏概率性崩溃问题

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 18 Apr 2025 16:00:44 +0800

ukui-quick (4.20.3.1-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(platform):修复DtTheme在多引擎场景使用时引起崩溃的问题
    - fix(platform):修改dt初始化时未能初始化主题颜色、字体的问题

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 03 Apr 2025 17:08:10 +0800

ukui-quick (4.20.3.0-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(platform/theme-proxy):增加监听widgetThemeName改变信号
    - feat(item):增加绘制控件阴影功能
    - feat(item):ShadowedRectangle增加绘制渐变色功能
    - feat(item):ShadowedRectangle增加软渲染模式
    - feat(platform):DtTheme增加单例处理
    - fix(item):规避一个bug，此bug导致继承QQuickItem的类，在Qml中使用时无法访问标记了REVISION的属性
    - feat(item):使用ShadowedRectangle实现DtThemeBackground组件
    - fear(platform/dt-theme)dt增加布局方向和图标主题变化
    - fix(item):修复ShadowedRectangle渐变色绘制时计算错误的问题
    - feat(items/qml): 添加适配主题的带图片按钮
    - feat(items/icom):icon控件适配DT主题

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 27 Mar 2025 17:56:36 +0800

ukui-quick (4.20.2.0-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(platform/dt): 将渐变色中颜色的透明度修改为乘以系统透明度或自定义透明度系数
    - feat(framework):增加Wallpaper和DesktopView插件host类型
    - feat(framework):完善island和WidgetContainer的接口
    - feat(platform/dt)dtTheme添加获取获取系统字体字号功能
    - feat(items/dt)按照DT主题修改tooltip，新增DT主题text和button控
    - feat(platform/dt): 根据DT最新5.0Token更新dt-theme并添加默认值
    - fix(platform/gradient-color): 修改渐变色无法显示的问题
    - feat(modules/window-thumbnail):预览图模块适配dt主题

 -- iaom <zhangpengfei@kylinos.cn>  Wed, 12 Mar 2025 17:28:06 +0800

ukui-quick (4.20.1.2-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - chore: 删除widget部分，相关模块已迁移到ukui-quick-widget中
    - feat(dt-theme.cpp):修改读取的qml安装目录

 -- iaom <zhangpengfei@kylinos.cn>  Tue, 21 Jan 2025 09:36:48 +0800

ukui-quick (4.20.1.1-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(modules):修改预览图内容为空时，默认颜色为透明
    - feat(dt):增加对系统透明度的支持
    - feat(item):增加支持dt的的背景控件
    - fix(dt):修改默认token值并补充缺失项
    - feat(framework):Widget新增缩放系数属性

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 09 Jan 2025 11:24:20 +0800

ukui-quick (4.20.1.0-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - feat(platform):Dt接口增加对渐变色的处理
    - feat(framework):widget-metadata增加对插件缩略图的支持
    - feat(framework):widget-loader增加查询所有插件元数据的接口
    - feat(framework):新增host类型：ShortCut
    - fix(item):IconHelper在加载本地文件时增加判断文件是否存在的步骤

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 27 Dec 2024 16:35:18 +0800

ukui-quick (4.20.0.2-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(items):添加icon加载svg图片的处理,解决加载svg图片模糊问题
    - feat(platform):wayland环境窗口属性设置适配ukui-shell-integration

 -- iaom <zhangpengfei@kylinos.cn>  Tue, 10 Dec 2024 13:38:36 +0800

ukui-quick (4.20.0.1-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(modules):更改视频预览图内部按钮宽度
  * 其他改动影响域:
    - 多媒体窗口预览图UI细节

 -- iaom <zhangpengfei@kylinos.cn>  Wed, 27 Nov 2024 09:40:33 +0800

ukui-quick (4.20.0.0-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - feat(platform):增加Dt相关接口
    - feat(platform):Window manager增加显示桌面相关接口
    - fix(item):icon实现绘制圆形图片功能
    - fix(platform): 添加WindowProxy支持在x11下设置ScreenLockNotification层级

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 21 Nov 2024 14:53:58 +0800

ukui-quick (4.10.9.1-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(platform/windowManager):解决x11环境窗口属性信号缺失问题
    - perf(framework):widget-metadata中的数据使用写时复制机制；
      优化widget-metadata的加载机制。
    - pref(modules&platform):移除部分kysdk依赖

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 07 Nov 2024 10:02:31 +0800

ukui-quick (4.10.9.0-ok0.1) huanghe; urgency=medium

  * Issue: 无
  * 其他改动:
    - feat(platform):添加destion token相关接口
    - feat(framework):增加根据应用id查询插件接口

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 21 Oct 2024 15:35:09 +0800

ukui-quick (4.10.8.1-ok0) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(window-thumbnail)修改由于缺少glx依赖导致的riscv下略缩图崩溃的问题
    - feat(framework/widget-ui): 添加属性判断当前WidgetContainerItem是否正在调整布局
    - fix(framework/widget): 修复部分情况下设置位置失效的bug
    - fix(framework):解决Container中触发右键菜单再消失后会导致窗口悬浮事件丢失的问题
    - feat(items):ContentWindow设置位置时增加不使用可用区域的属性

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 11 Oct 2024 09:13:18 +0800

ukui-quick (4.10.8.0-ok0) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - feat(framework):WidgetContainer新增参数为插件ID的removeWidget函数重载
    - 更新README.md

 -- iaom <zhangpengfei@kylinos.cn>  Tue, 03 Sep 2024 11:18:52 +0800

ukui-quick (4.10.7.1-ok0) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - 修复平台编译问题
    - fix(framework):修复插件通过so加载的右键菜单不能正确加载的问题

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 26 Aug 2024 16:44:12 +0800

ukui-quick (4.10.7.0-ok0) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - fix(framework):解决在Island和Container在销毁时对子控件未正确执行销毁的问题
    - feat(platform):增加windowManager相关接口
    - feat(platform):WindowManager增加窗口最大化状态变化的信号
    - fix(items):修复当Icon绘制空图标后,无法再根据主题图标启动的问题

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 23 Aug 2024 11:08:10 +0800

ukui-quick (4.10.6.1-ok0) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - 【framework】:修复x环境部分窗口属性设置失效问题

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 15 Aug 2024 09:55:22 +0800

ukui-quick (4.10.6.0-ok0) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - 【framework】:修改disableInstance没有正确去重的问题
    - 【framework】:IslandView增加延迟加载mainView相关接口

 -- iaom <zhangpengfei@kylinos.cn>  Wed, 14 Aug 2024 15:34:03 +0800

ukui-quick (4.10.5.0-ok0) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - 【platform】:增加switcher窗口层级和platformName接口

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 05 Aug 2024 14:19:47 +0800

ukui-quick (4.10.4.0-ok0) nile; urgency=medium

  * Issue: I9RW7M 【wlcom】【主窗口】任务栏应用和托盘组件的悬浮提示异常
  * Issue: IAEZ9W 【开始菜单】非100%缩放率下，开始菜单部分功能按钮显示异常
  * 其他改动:
    - 【platform】:增加获取鼠标当前所在屏幕的接口

 -- iaom <zhangpengfei@kylinos.cn>  Wed, 24 Jul 2024 15:19:20 +0800

ukui-quick (4.10.3.1-ok0) nile; urgency=medium

  * Issue: I9RMC0【任务栏】深色主题下网络图标和电源图标未反白
  * Issue: IAB7YH【开始菜单】字母排序图标显示不全
  * 其他改动:无

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 17 Jul 2024 14:31:16 +0800

ukui-quick (4.10.3.0-ok0) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 【items】Tooltip支持自动判断富文本并显示
    - 【framework】container支持自动加载配置文件，增加禁用widget功能

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 11 Jul 2024 14:40:29 +0800

ukui-quick (4.10.2.1-ok0) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 【modules】mpris预览图增加判断条件，当三个按钮都不可用时不显示多媒体预览
    - 【framework】config增加删除key接口

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 09 Jul 2024 09:19:54 +0800

ukui-quick (4.10.2.0-ok0) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 【modules】优化wlcom下动态预览模块
    - 【platform】windowProxy2增加slideWindow特效接口
    - 【framework】增加TaskManager插件类型；支持加载widget包中的动态库插件

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 03 Jul 2024 13:50:36 +0800

ukui-quick (4.10.1.5-ok0) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 【items】ThemeIcon增加保留大小比例绘制属性
    - 【items/qml】默认Tooltip支持设置富文本
    - 【framework】widgetItem添加widgetWindow属性用于获取窗口句柄

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 25 Jun 2024 14:35:11 +0800

ukui-quick (4.10.1.4-ok0) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 优化插件加载逻辑
    - 增加AppletPopup窗口层级
    - 音乐播放器添加默认封面
    - tooltip点击后不再显示，最长持续时间4s->10s

 -- hewenfei <hewenfei@kylinos.cn>  Wed, 19 Jun 2024 15:15:00 +0800

ukui-quick (4.10.1.3-ok0) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 优化wlcom预览图, 不显示窗管标题栏
    - 添加判断当前布局方向接口
    - 优化音频与视频预览图

 -- hewenfei <hewenfei@kylinos.cn>  Wed, 05 Jun 2024 14:17:11 +0800

ukui-quick (4.10.1.2-ok0) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 优化wlcom预览图, 解决使用sddm启动时无预览图问题
    - 优化适配ukui-shell协议接口, 修复wlcom下窗口位置设置失败问题
    - panelTakesFocus属性默认为false

 -- hewenfei <hewenfei@kylinos.cn>  Fri, 31 May 2024 17:10:10 +0800

ukui-quick (4.10.1.1-ok0) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 优化wlcom预览图
    - 优化适配ukui-shell协议接口
    - 修复Dialog卡顿问题

 -- hewenfei <hewenfei@kylinos.cn>  Sat, 25 May 2024 16:01:19 +0800

ukui-quick (4.10.1.0-ok1) nile; urgency=medium

  * 优化插件框架接口,简化qml应用程序使用配置流程
  * 适配ukui-shell协议
  * 增加窗口毛玻璃组件

 -- hewenfei <hewenfei@kylinos.cn>  Thu, 16 May 2024 18:30:00 +0800

ukui-quick (4.10.0.5-ok0) nile; urgency=medium

  * 优化插件框架接口，支持快速添加Action接口
  * 优化窗口操作，如：去除标题栏，无边框等
  * 增加Dialog和Tooltip组件
  * 优化预览图尺寸调整策略
  * 修复非QApplication启动时崩溃的问题
  * 增加日历插件(Beta)

 -- hewenfei <hewenfei@kylinos.cn>  Mon, 22 Apr 2024 15:48:24 +0800

ukui-quick (4.10.0.4-ok0) nile; urgency=medium

  * 修改默认图标颜色
  * 修复一个插件加载多次时翻译失效的问题
  * 分离mpris预览图和窗口预览图
  * 修复2个预览图崩溃问题
  * 修改图标存放方式,默认开启平滑过渡
  * 添加视频播放预览图显示，添加按钮高亮
  * 优化removeHeaderBar,skipTaskBar,skipSwitcher接口未生效问题

 -- hewenfei <hewenfei@kylinos.cn>  Mon, 18 Mar 2024 16:11:28 +0800

ukui-quick (4.10.0.3-ok2) nile; urgency=medium

  * 重新传包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 28 Feb 2024 15:31:22 +0800

ukui-quick (4.10.0.3-ok1) nile; urgency=medium

  * 重新传包 

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 28 Feb 2024 15:10:58 +0800

ukui-quick (4.10.0.3-ok0) nile; urgency=medium

  * 回退4.10.0.2-ok0的改动

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 27 Feb 2024 18:17:05 +0800

ukui-quick (4.10.0.2-ok0) nile; urgency=medium

  * 修改windowThumbnail模块版本

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 27 Feb 2024 18:02:22 +0800

ukui-quick (4.10.0.1-ok1) nile; urgency=medium

  * 重新传包

 -- zpf <zpf@zpf>  Mon, 26 Feb 2024 10:39:59 +0800

ukui-quick (4.10.0.1-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 解决Icon组件导致的崩溃问题

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 26 Feb 2024 09:59:59 +0800

ukui-quick (4.10.0.0-ok0) nile; urgency=low

  * Initial debian package.

 -- hewenfei <hewenfei@kylinos.cn>  Fri, 02 Feb 2024 17:17:17 +0800
